<?php
/*
* 项目: iOrange(橘子)
* 作者: 离家出走(yzxh24)
* Email: yzxh24@gmail.com
* 主页: www.iorange.cc
*/
/* vim: set ts=4 sw=4: */
class AttachDownload extends Model
{
	public static function single($className = __CLASS__)
	{
		if (is_null(self::$_self[$className]))
		{
			self::$_self[$className] = new $className;
		}
		
		return self::$_self[$className];
	}
	
    public static function table()
    {
        return 'ig_attachdownload';
    }
    
    public function today($uid)
    {
        return $this->Db()->getValue('SELECT COUNT(*) FROM '.self::table().' WHERE uid = '.$uid.' AND `date`='.S::sqlEscape(date('Y-m-d')));
    }
    
    public function createLog($uid, $aid)
    {
        $sql = 'REPLACE INTO '.self::table().' SET '.S::sqlSingle(array('aid'=>$aid,'uid'=>$uid,'date'=>date('Y-m-d')));
        self::Db()->query($sql);
    }
}